function out = prior(xx,SET)

out = 0 ;

xx_r = xx(1:length(SET.r.params_to_estimate)) ;
xx_a = xx([1 2 3 (length(SET.r.params_to_estimate)+1):length(xx)]) ;

a = log(normpdf(xx(1),2.5,1)) ; % alpha
b = log(betapdf(xx(2),2.625,2.625)) ; % calvo prices
c = log(betapdf(xx(3),2.625,2.625)) ; % calvo wages

if SET.estimate_tr 
    
d = log(betapdf(xx(end-3),13.3125,4.4375)) ; % alphar
e = log(normpdf(xx(end-2),1.5,0.25)) ; % alphap
f = log(normpdf(xx(end-1),0.125,0.075)) ; % alphax
g = log(normpdf(xx(end),0.125,0.075)) ; % alphay

out = d + e + f + g ;

xx_a = xx([1 2 3 (length(SET.r.params_to_estimate)+1):(length(xx)-4)]) ;

end

out = out + a + b + c + r_prior(xx_r) + a_prior(xx_a) ;