function out = r_post(xx,SET)

SET.r.M_.params(SET.r.params_to_estimate_idx) = xx ;
data = SET.r.data ;
weights = SET.weights ;
Nstate = SET.r.Nstate ;

dyn_in.M_       = SET.r.M_ ;
dyn_in.oo_      = SET.r.oo_ ;
dyn_in.options_ = SET.r.options_ ;
dyn_in.solve    = 1 ;
dyn_in.linearize_around_diff_y = 0 ;

try
    mats = r_resolve_(SET,dyn_in) ;

    if isempty(mats) ; out = -10e12 ; return ; end

    Pt = mats.mats.Q(1:end-1,1:end-1,:) ;
    Dt = mats.mats.G(1:end-1,:,:) ;    
    
    Omega  = SET.r.Omega ;
    DOmega = Dt(:,:,1)*Omega*Dt(:,:,1)' ;
    SET.r.Sigma = dlyap_doubling(Pt(:,:,1),DOmega);

    r_post_out
    
catch
    out = -10e12 ;
end