function plot_priorpost(priorin,postin)
    
switch priorin.dist
%     case 'uniform'
%     x=unifrnd(priorin.min,priorin.max,[100000,1]) ;
    case 'normal'
    x=normrnd(priorin.mu,priorin.std,[100000,1]) ;
    case 'gamma'
    x=gamrnd(priorin.shape,priorin.scale,[100000,1]) ;
    case 'beta'
    x=betarnd(priorin.param1,priorin.param2,[100000,1]) ;
    case 'invgamma'
    x=gamrnd(priorin.shape,1/priorin.scale,[100000,1]) ;
    x=1./x;
end

[x1,y1]=ksdensity(x,'NumPoints',200) ;

switch priorin.dist
    case 'uniform'
        x1=[];
        y1=[];
    x1(1)=priorin.min ;
    x1(2)=priorin.max ;
    y1(1)=1/(priorin.max-priorin.min) ;
    y1(2)=1/(priorin.max-priorin.min) ;
    case 'invgamma'
    [x1,y1]=ksdensity(x(x<prctile(x,99)),'NumPoints',200) ;
end

[x2,y2]=ksdensity(postin,'NumPoints',200) ;

plot(y1,x1); hold on ;
plot(y2,x2) ;