var p q mu h lambda x c chat a b w n y r mt etaht i pai what muhat nhat wshat debtincome asstincome etant z betat rr pp;

var dyhat yhat ihat paihat phat ;

var dyobs iobs dcobs dpobs dwobs ;

var etamtMA etahtMA ;

// Flexible price variables
var pf muf hf lambdaf xf chatf af bf cf yf qf nf wf rf ;

var debt dyobs2 mortgagerate ;

varexo em eh ez en eb er ep;

parameters rho rhow alph rhoz rhom rhoh rhob rhop rhon sigmaz sigmam sigmah sigmab sigmar sigmap sigman;

parameters psi ;

parameters rhohMA rhomMA rhor  ;

parameters alphar alphap alphax alphay  gamm ;

parameters beta nu etah hbar mbar etan sigmac ybar ibar wss muss nss  ;    

parameters dyss paiss pss dyss qss ;

load input;             % load parameters and steady state

beta    = params(1); 
gamm    = params(2);
nu      = params(3); 
etah    = params(4); 
hbar    = params(5); 
mbar    = params(6); 
alph   = params(7); 
etan    = params(8); 
sigmac  = params(9); 
rho     = params(10); 
ybar    = params(11); 
ibar    = params(12); 
alphay  = params(13); 
alphap  = params(14); 
wss     = params(15);
muss    = params(16); 
nss     = params(17); 
rhow    = params(18);
psi     = params(19); 
rhom    = params(20);
sigmam  = params(21);
rhoh    = params(22);
sigmah  = params(23);
rhoz    = params(24);
sigmaz  = params(25);
rhon    = params(26);
sigman  = params(27); 
rhob    = params(28);
sigmab  = params(29); 
alphar  = params(30);
alphax  = params(31);
rhor    = params(32);
sigmar  = params(33);
rhop    = params(34);
sigmap  = params(35);
dyss    = params(36);
paiss   = params(37);
pss     = params(38);
dyss    = params(39);
rhomMA  = params(40);
rhohMA  = params(41);
qss = 1/(1 + 0.0050 - gamm) ;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  MODEL  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

model;

exp(p)*exp(mu) = exp(betat)*exp(etaht)/exp(h) + exp(betat)*exp(p(+1))*exp(mu(+1)) + exp(lambda)*exp(mt)*exp(p); 
exp(mu)/(exp(betat)*(1+gamm*exp(q(+1)))/exp(q)*exp(mu(+1))/exp(pai(+1))) = 1 + (exp(q)*exp(lambda) - exp(betat)*gamm*exp(lambda(+1))*exp(q(+1))/exp(pai(+1)))/(exp(betat)*(1 + gamm*exp(q(+1)))*exp(mu(+1))/exp(pai(+1)));
exp(mu)/(exp(betat)*(1+gamm*exp(q(+1)))/exp(q)*exp(mu(+1))/exp(pai(+1))) = 1 + sigmac/(alph - sigmac)*(exp(x)/exp(chat))^(-alph);
exp(a)         = exp(b); 
exp(h)         = hbar; 
exp(chat)^(-sigmac) = exp(betat)*(1+gamm*exp(q(+1)))/exp(q)*exp(mu(+1))/exp(pai(+1)); 
exp(c)         = (alph/(alph - 1) - 1/(alph - 1)*(exp(x)/exp(chat))^(1-alph))*exp(chat); 
exp(a)         = 1/exp(q)*(exp(x) - exp(c)); 
exp(c)         = exp(y); 
exp(q)*exp(b)  = gamm*exp(q)*exp(b(-1))/exp(pai) + exp(mt)*exp(p)*exp(h); 
exp(y)         = exp(z)*exp(n); 
pai            = beta*pai(+1) + (1-rho)*(1-rho*beta)/rho*(what - z) + pp; 
debtincome     = exp(q)*exp(b)/exp(y); 
asstincome     = exp(q)*exp(a)/exp(y);
1 + r          = (1 + gamm*exp(q(+1)))/exp(q)/exp(pai(+1));
1 + i          = (1 + gamm*exp(q(+1)))/exp(q);
1 + i          = (1 + i(-1))^alphar*((1 + ibar)*(exp(y)/exp(yf))^alphay*exp(pai)^alphap*exp(rr))^(1-alphar)*((exp(y)/(exp(y(-1))))/(exp(yf)/(exp(yf(-1)))))^alphax;
what           = w - wss; 
muhat          = mu - muss; 
nhat           = n - nss; 
wshat          = beta*rhow*wshat(+1) + (1 - rhow*beta)/(1 + psi*nu)*(-muhat + psi*nu*what + etant - log(etan) + nu*nhat) + rhow*beta*pai(+1); 
what           = rhow*(what(-1) - pai) + (1 - rhow)*wshat; 
mt             = (1-rhom)*log(mbar)  + rhom*mt(-1)    + etamtMA; 
etaht          = (1-rhoh)*log(etah)  + rhoh*etaht(-1) + etahtMA;
etahtMA        = 0*rhohMA*etahtMA(-1) + 1*sigmah*eh; 
etant          = (1-rhon)*log(etan) + rhon*etant(-1) + 100*(1/1)*sigman*en ;
etamtMA        = rhomMA*etamtMA(-1) +   1*sigmam*em ;
betat          = (1-rhob)*log(beta)  + rhob*betat(-1) + (1/1000)*sigmab*eb;
z              =                       rhoz*z(-1)     + (1/100)*sigmaz*ez;
rr             =                       0*rhor*rr(-1)    + (1/100)*sigmar*er; 
pp             =                       rhop*pp(-1)    + (1/1000)*sigmap*ep; 

debt           =  gamm*debt(-1)/exp(pai) + exp(mt)*exp(p)*exp(h); 

dyhat          = debtincome - dyss; 
yhat           = y ; 
ihat           = i - ibar; 
paihat         = pai - paiss; 
phat           = p - pss;

dyobs = debt/exp(y) - exp(dyss);
dyobs2 = debtincome - exp(dyss);
iobs = log(1+i) ;

dcobs = c - c(-1) ;
dpobs = p - p(-1) ;
dwobs = w - w(-1) ;

// Flexible price economy

exp(pf)*exp(muf) = exp(betat)*exp(etaht)/exp(hf) + exp(betat)*exp(pf(+1))*exp(muf(+1)) + exp(lambdaf)*exp(mt)*exp(pf); 
exp(muf)/(exp(betat)*(1+gamm*exp(qf(+1)))/exp(qf)*exp(muf(+1))) = 1 + (exp(qf)*exp(lambdaf) - exp(betat)*gamm*exp(lambdaf(+1))*exp(qf(+1)))/(exp(betat)*(1 + gamm*exp(qf(+1)))*exp(muf(+1)));
exp(muf)/(exp(betat)*(1+gamm*exp(qf(+1)))/exp(qf)*exp(muf(+1))) = 1 + sigmac/(alph - sigmac)*(exp(xf)/exp(chatf))^(-alph);
exp(af)         = exp(bf); 
exp(hf)         = hbar; 
exp(chatf)^(-sigmac) = exp(betat)*(1+gamm*exp(qf(+1)))/exp(qf)*exp(muf(+1)); 
exp(cf)         = (alph/(alph - 1) - 1/(alph - 1)*(exp(xf)/exp(chatf))^(1-alph))*exp(chatf); 
exp(af)         = 1/exp(qf)*(exp(xf) - exp(cf)); 
exp(cf)         = exp(yf); 
exp(qf)*exp(bf)  = gamm*exp(qf)*exp(bf(-1)) + exp(mt)*exp(pf)*exp(hf); 
exp(yf)         = exp(z)*exp(nf); 
exp(wf) = exp(z) ; 
1 + rf          = (1 + gamm*exp(qf(+1)))/exp(qf);
exp(0*etant)*exp(nf)^nu = exp(muf)*exp(wf);  

mortgagerate = 1/exp(q) + gamm - 1 ;

end;

shocks; 

var em = 1;
var eh = 1;
var ez = 1;
var en = 1; 
var eb = 1;
var er = 1; 
var ep = 1;

end;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  END MODEL   %%%%%%%%%%%%%%%%%%%%%%%%%%%%

initval;

p          = xsteady(1); 
q          = xsteady(2); 
mu         = xsteady(3);
h          = xsteady(4);
lambda     = xsteady(5);
x          = xsteady(6);
c          = xsteady(7);
chat       = xsteady(8);
a          = xsteady(9);
b          = xsteady(10);
w          = xsteady(11);
n          = xsteady(12);
y          = xsteady(13);
r          = (1 + gamm*exp(q))/exp(q) - 1; 
mt         = log(mbar); 
i          = r; 
pai        = 0; 
etaht      = log(etah); 
what       = 0; 
wshat      = 0; 
muhat      = 0; 
nhat       = 0; 
debtincome = exp(q)*exp(b)/exp(y); 
asstincome = exp(q)*exp(a)/exp(y);
etant      = log(etan);
z          = 0; 
betat      = log(beta); 
rr         = 0;
pp         = 0;

pf         = p;
muf        = mu; 
hf         = mu ;
lambdaf    = lambda; 
xf         = x;
chatf      = chat;
af         = a;
bf         = b;
hf         = h;
cf         = c;
yf         = y;
qf         = q;
nf         = n;
rf         = r;
wf         = w;

end;

steady(maxit=15000);

stoch_simul(order = 1, irf = 29, nograph, periods = 0, conditional_variance_decomposition=[2 4 12]);
