function a_gen_set_params(SET,dyn_in)


M_ = dyn_in.M_ ;

tmp = cellstr(dyn_in.M_.param_names) ;

index = 1:M_.param_nbr; 

tmpstr = '' ;
for i=1:M_.param_nbr
    tmpstr = [tmpstr, tmp{i},' = dyn_in.M_.params(', int2str(i), ');\n'] ;
end

old = [' ', ...
'hydata    = 2.52*4;',...
'dhdata    = 0.29; ',...
'dydata    = dhdata*hydata;',...
'sigmac    = 1;',...
'nu        = 2;',...
'etan      = 1;',...
'hbar      = 1;',...
'r         = 0.02/4;',...
'gamma     = gamm;',...
'mbar      = (1-gamma)*dhdata;',...
'euler     = @(xchat, dydata, alph) 1 + dydata - xchat*(alph/(alph - 1) - 1/(alph - 1)*xchat^(1-alph))^(-1);', ...
'xchatss   = fzero(@(xchat) euler(xchat, dydata, alph), 7);', ...
'Delta     = sigmac/(alph - sigmac)*xchatss^(-alph);', ...
'beta      = ((1 + r)*(1+Delta))^(-1);', ...
'rss       = r; ', ...
'qss       = 1/(1 + r - gamma); ', ...
'Fss       = (alph/(alph-1) - 1/(alph-1)*xchatss.^(1-alph));', ...
'muss      = (etan)^(sigmac/(sigmac + nu)).*Fss.^(nu*sigmac/(sigmac + nu))./(beta.*(1 + r)).^(nu/(sigmac + nu)); ', ...
'lambdass  =  muss.*(1 - beta*(1 + r))./(1 - beta*gamma); ', ...
'chatss    = (beta.*(1 + r).*muss).^(-1/sigmac); ', ...
'css       = (muss./etan).^(1/nu);', ...
'xss       = chatss.*xchatss; ', ...
'yss       = css;', ...
'nss       = yss;', ...
'wss       = etan*nss^nu/muss;', ...
'phss      = hydata.*css; ', ...
'etah      = phss./beta.*muss.*(1 - beta - lambdass./muss.*mbar);', ...
'qbss      = mbar*phss./(1 - gamma); ', ...
'qass      = (xss - css); ', ...
'pss       = phss/hbar;', ...
'bss       = qbss./qss; ', ...
'ass       = qass./qss;', ...
'dyss      = qss*bss/css;', ...
'iss       = rss; ', ...
'paiss     = 1; ', ...
'params    = [beta; gamma; nu; etah; hbar; mbar; alph; etan; sigmac; rho; yss; rss; alphay; alphap; log(wss); log(muss); log(nss); rhow; psi; rhom; sigmam; rhoh; sigmah; rhoz; sigmaz; rhon; sigman; rhob; sigmab; alphar; alphax; rhor; sigmar; rhop; sigmap ; dyss ; log(paiss) ; log(pss) ; log(dyss); rhomMA; rhohMA];',...
'beta    = params(1); ', ...
'gamma   = params(2);', ...
'nu      = params(3); ', ...
'etah    = params(4); ', ...
'hbar    = params(5); ', ...
'mbar    = params(6); ', ...
'alph   = params(7); ', ...
'etan    = params(8); ', ...
'sigmac  = params(9); ', ...
'rho     = params(10); ', ...
'ybar    = params(11); ', ...
'ibar    = params(12); ', ...
'alphay  = params(13); ', ...
'alphap  = params(14); ', ...
'wss     = params(15);', ...
'muss    = params(16); ', ...
'nss     = params(17); ', ...
'rhow    = params(18);', ...
'psi     = params(19); ', ...
'rhom    = params(20);', ...
'sigmam  = params(21);', ...
'rhoh    = params(22);', ...
'sigmah  = params(23);', ...
'rhoz    = params(24);', ...
'sigmaz  = params(25);', ...
'rhon    = params(26);', ...
'sigman  = params(27); ', ...
'rhob    = params(28);', ...
'sigmab  = params(29); ', ...
'alphar  = params(30);', ...
'alphax  = params(31);', ...
'rhor    = params(32);', ...
'sigmar  = params(33);', ...
'rhop    = params(34);', ...
'sigmap  = params(35);', ...
'dyss   = params(36);', ...
'paiss  = params(37);', ...
'pss  = params(38);', ...
'dyss  = params(39);', ...
'rhomMA  = params(40);',...
'rhohMA  = params(41);',...
' '];

tmpstr2 = '' ;
for i=1:M_.param_nbr
    tmpstr2 = [tmpstr2, ' out(', int2str(i), ')=',tmp{i},';\n'] ;
end

old = [tmpstr, old, tmpstr2] ;

fid = fopen('./aggregate/a_set_params.m','wt');

fprintf(fid, old) ;

fclose(fid);